﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Matt40k.MSICreator
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button_Click(object sender, RoutedEventArgs e)
        {
            string _simsserver = SIMSSERVER.Text;
            string _simsdatabase = SIMSDATABASE.Text;
            string _simsauthenication = SIMSAUTHENICATION.Text;
            string _simsappsdirectory = SIMSAPPSDIRECTORY.Text;
            string _simsdirectory = SIMSDIRECTORY.Text;
            string _simssetupsdirectory = SIMSSETUPSDIRECTORY.Text;

            if
                (
                !string.IsNullOrWhiteSpace(_simsserver) &&
                !string.IsNullOrWhiteSpace(_simsdatabase) &&
                !string.IsNullOrWhiteSpace(_simsauthenication) &&
                !string.IsNullOrWhiteSpace(_simsappsdirectory) &&
                !string.IsNullOrWhiteSpace(_simsdirectory) &&
                !string.IsNullOrWhiteSpace(_simssetupsdirectory)
                )
            {
                Worker worker = new Worker();
                worker._simsserver = _simsserver;
                worker._simsdatabase = _simsdatabase;
                worker._simsauthenication = _simsauthenication;
                worker._simsappsdirectory = _simsappsdirectory;
                worker._simsdirectory = _simsdirectory;
                worker._simssetupsdirectory = _simssetupsdirectory;
                
                worker.CreateInstaller();
            }
            else
            {
                MessageBox.Show("Please, fill out the boxes");
            }
        }
    }
}
